import React from 'react';
import { Cell, Chevron, About, Action } from '@pulse/ui/components/Cell';
import { FONT_VARIANTS } from "../../globalStyled";
import TextBlock from '../TextBlock';
export const CellSelectionBlock = ({ size = 'l', about, action, onClick }) => {
    return (React.createElement(Cell, { "$size": size, "$divider": true, onClick: () => onClick && onClick() },
        React.createElement(About, null,
            React.createElement(TextBlock, { variant: FONT_VARIANTS.body1Regular }, about)),
        React.createElement(Action, null,
            action,
            React.createElement(Chevron, null))));
};
